Bug 145269 - Upgrade to 2.6.10-1.737_FC3 : No sensors found !
Upgrade to 2.6.10-1.737_FC3 : No sensors found !
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2005-01-16 06:49 EST by George König
Modified: 2015-01-04 17:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-07 16:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George König 2005-01-16 06:49:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Until kernel 2.6.9-1.724_FC3 I was able to monitoring CPU & sys temps
using lm_sensors (MB Abit KT7-RAID) loading i2c-isa and via686a
modules. Then the upgrade to kernel 2.6.10-1.737_FC3 and now
when start the lm_sensors service I receive a "No sensors found!",
same with the more recent kernel 2.6.10-1.741_FC3. If booting under
the old 2.6.9 kernel the sensors come back.

lm_sensors version is 2.8.7-2 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot kernel 2.6.10-1.737_FC3 or 2.6.10-1.741_FC3
2. start lm_sensors service


Actual Results:  No sensors found !

Expected Results:  If kernel is 2.6.9-1.724_FC3 all works, the temp
sensors are readable

Additional info:

Hardware: Abit KT7-RAID w/ VIA VT82C686A

lm_sensors is loading 
MODULE_0: i2c_isa
MODULE_1: via686a
Comment 1 Ian Pilcher 2005-01-16 13:34:51 EST
Same thing here.  Abit VP6 with VIA 686A.
Comment 2 Ian Pilcher 2005-01-16 18:58:56 EST
More info.  It is possible to get things working by rmmod'ing all of
the lm_sensors-related modules and then starting lm_sensors.

This seems to be related to the fact that *something* is causing the
i2c_core and i2c_viapro modules to be loaded before the lm_sensors
script is run.  (If I disable lm_sensors and reboot my system, these
two modules are loaded anyway.)
Comment 3 Ondrej Svejda 2005-01-17 07:42:48 EST
rmmod'ing doesn't work for me. And I don't get "No sensors found"
either. Output from sensors is only

Adapter: ISA adapter

My configuration is ASUS A7V600, lm_sensors modules it87 and i2c-isa.
BTW i2c_core is also used by bttv.
Comment 4 Wojciech Kazubski 2005-01-23 07:27:57 EST
Have the same problem on Soltek 75KAV.
sensors on kernel 2.6.9-1.724 displated info on via686a sensors
(temperature, fan speed, etc) but no SDRAM memory info. After upgrade
to kernel 2.6.10-1.741 via sensors are missing but SDRAM memory info
is displayed. 
Both kernels show presence of Bt878 chip on TV card.

Driver load order had changed?
Comment 5 George König 2005-02-07 08:05:41 EST
I've verified vanilla 2.6.10 kernel has the same problem.
Comment 6 Ian Pilcher 2005-02-07 16:35:23 EST
I suggest opening a bug at http://bugzilla.kernel.org.
Comment 7 George König 2005-02-08 05:49:38 EST
Opened. Bug # 4181
Comment 8 George König 2005-02-08 07:26:16 EST
Jean Delvare (khali@linux-fr.org) said:

>I suspect that i2c-viapro gets in the way, since it is auto-loadable
>by hotplug since 2.6.10. Unload both via686a and i2c-viapro, then
>reload via686a, and sensors should be back.
>You can add i2c-viapro to /etc/hotplug/blacklist so that i2c-viapro
>won't get loaded at all. That should solve your problem.
>In 2.6.11, the conflict between i2c-viapro and via686a has been fixed
>so the blacklisting won't even be necessary anymore.

I just added i2c-viapro to the blacklist and now the sensors are back
again under 2.6.10 .
similar problems on ASUS and SOLTEK boards not powered by via chipsets
but equally accessing its sensors thru the isa bus have to blacklist
the corresponding conflict module until 2.6.11 fix that.
Comment 9 Ondrej Svejda 2005-02-19 13:44:35 EST
Following fix from Bug # 145350 works for me:

modprobe it87 force_it87=9191,0x290
Comment 10 Ian Pilcher 2005-06-29 14:42:01 EDT
Shouldn't this bug be closed?

Note You need to log in before you can comment on or make changes to this bug.